Package gbp :: Package pkg

[hide private]
[frames] | no frames]

# Package pkg

Common functionality of the Debian/RPM package helpers

Submodules | [hide private]

- gbp.pkg.pristinetar: Handle checkin and checkout of archives from the pristine-tar branch

Classes | [hide private]

| PkgPolicy Common helpers for packaging policy.
| UpstreamSource Upstream source.

Variables | [hide private]

| compressor_opts = ``{``'``bzip2``'``:` `[``'````'``,` `'``bz2``'``]``,` `'``gzip``'``:` `[``'``-n``'``,` `'``gz``'``]``,``...``
| compressor_aliases = ``{``'``bz2``'``:` `'``bzip2``'``,` `'``gz``'``:` `'``gzip``'``}``
| __package__ = ``'``gbp.pkg``'``

Variables Details | [hide private]

### compressor_opts

Value:

      {'bzip2': ['', 'bz2'],
       'gzip': ['-n', 'gz'],
       'lzma': ['', 'lzma'],
       'xz': ['', 'xz']}